<?php

namespace Modules\Service\Uploads\Upload;

use Modules\Service\Uploads\Interface\UploadInterface;

class UploadFileService
{
    private $otp;

    public function __construct(UploadInterface $upload)
    {
        $this->upload = $upload;
    }

    /**
     * Upload File Service.
     *
     * @param $file
     * @return string
     */
    public function uploadFile($file) :string
    {
        return $this->upload->uploadFile($file);
    }
}
